Eclipse Platform Release 3.7

## org.eclipse.ui.navigator.resources
Class ProjectExplorer

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.ui.navigator.CommonNavigator
                      org.eclipse.ui.navigator.resources.ProjectExplorer

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IPersistable, ISaveablePart, ISaveablesSource, IViewPart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, ISetSelectionTarget, IShowInTarget, IWorkbenchPartOrientation

    public final class ProjectExplorer

extends CommonNavigator

Since:
  3.2
See Also:
  `CommonNavigator`, `INavigatorContentService`

Field Summary
`static int` `PROJECTS`
`static String` `VIEW_ID` Provides a constant for the standard instance of the Common Navigator.
`static int` `WORKING_SETS`

Fields inherited from class org.eclipse.ui.navigator.CommonNavigator
`IS_LINKING_ENABLED_PROPERTY, memento`

Fields inherited from interface org.eclipse.ui.ISaveablePart
`PROP_DIRTY`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`ProjectExplorer()`

Method Summary
`void` `createPartControl(Composite aParent)` Create the CommonViewer part control and setup the default providers as necessary.
`String` `getFrameToolTipText(Object element)` Returns the tool tip text for the given element.
`int` `getRootMode()`
`String` `getWorkingSetLabel()`
`void` `setRootMode(int mode)`
`void` `setWorkingSetLabel(String label)`
`void` `updateTitle()` The superclass does not deal with the content description, handle it here.

Methods inherited from class org.eclipse.ui.navigator.CommonNavigator

`createCommonActionGroup, createCommonManager, createCommonViewer, createCommonViewerObject, dispose, doSave, doSaveAs, getActiveSaveables, getAdapter, getCommonViewer, getInitialInput, getLinkHelperService, getMemento, getNavigatorActionService, getNavigatorContentService, getSaveables, handleDoubleClick, init, initListeners, isDirty, isLinkingEnabled, isSaveAsAllowed, isSaveOnCloseNeeded, saveState, selectReveal, setFocus, setLinkingEnabled, show`

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, setContentDescription, setInitializationData, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Field Detail

### VIEW_ID

    public static final String VIEW_ID

  Provides a constant for the standard instance of the Common Navigator.

  See Also:
    `PlatformUI.getWorkbench()`, `IWorkbench.getActiveWorkbenchWindow()`, `IWorkbenchWindow.getActivePage()`, `IWorkbenchPage.findView(String)`, `IWorkbenchPage.findViewReference(String)`, Constant Field Values

### WORKING_SETS

    public static final int WORKING_SETS

Since:
  3.4
See Also:
  Constant Field Values

### PROJECTS

    public static final int PROJECTS

Since:
  3.4
See Also:
  Constant Field Values

Constructor Detail

### ProjectExplorer

    public ProjectExplorer()

Method Detail

### createPartControl

    public void createPartControl(Composite aParent)

  Description copied from class: `CommonNavigator`

  Create the CommonViewer part control and setup the default providers as necessary.

  Specified by:
    `createPartControl` in interface `IWorkbenchPart`
  Overrides:
    `createPartControl` in class `CommonNavigator`
  Parameters:
    `aParent` - the parent control
  See Also:
    `WorkbenchPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### updateTitle

    public void updateTitle()

  The superclass does not deal with the content description, handle it here.

  Overrides:
    `updateTitle` in class `CommonNavigator`
  Restriction:

### getFrameToolTipText

    public String getFrameToolTipText(Object element)

  Returns the tool tip text for the given element.

  Overrides:
    `getFrameToolTipText` in class `CommonNavigator`
  Parameters:
    `element` - the element
  Returns:
    the tooltip
  Restriction:

### setRootMode

    public void setRootMode(int mode)

  Overrides:
    `setRootMode` in class `CommonNavigator`
  Parameters:
    `mode` -
  Since:
    3.4
  Restriction:
    This method is not intended to be referenced by clients.

### getRootMode

    public int getRootMode()

  Overrides:
    `getRootMode` in class `CommonNavigator`
  Returns:
    the root mode
  Since:
    3.4
  Restriction:
    This method is not intended to be referenced by clients.

### setWorkingSetLabel

    public void setWorkingSetLabel(String label)

  Overrides:
    `setWorkingSetLabel` in class `CommonNavigator`
  Parameters:
    `label` -
  Since:
    3.4
  Restriction:
    This method is not intended to be referenced by clients.

### getWorkingSetLabel

    public String getWorkingSetLabel()

  Overrides:
    `getWorkingSetLabel` in class `CommonNavigator`
  Returns:
    the working set label
  Since:
    3.4
  Restriction:
    This method is not intended to be referenced by clients.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.